PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::modal::ExpansionPW3D::Coeff Struct Reference

`#include <solvers/optical/modal/fourier/expansion3d.hpp>`

Collaboration diagram for plask::optical::modal::ExpansionPW3D::Coeff:
[legend]

## Public Member Functions
| Coeff ()
| Coeff (const Coeff &)=default
| Coeff (const dcomplex &val)
| Coeff (const Tensor3< dcomplex > &eps)
Coeff & | operator*= (dcomplex a)
Coeff & | operator= (const Tensor3< dcomplex > &eps)
bool | differs (const Coeff &other) const
| operator Tensor3< dcomplex > () const
Tensor3< dcomplex > | toInverseTensor () const

## Public Attributes
dcomplex | c22
dcomplex | c00
dcomplex | ic00
dcomplex | c11
dcomplex | ic11
dcomplex | c01

## Detailed Description

Definition at line 65 of file expansion3d.hpp.

## Constructor & Destructor Documentation

## ◆ Coeff() [1/4]

plask::optical::modal::ExpansionPW3D::Coeff::Coeff | ( |  | ) |
| inline

Definition at line 67 of file expansion3d.hpp.

## ◆ Coeff() [2/4]

plask::optical::modal::ExpansionPW3D::Coeff::Coeff | ( | const Coeff & |  | ) |
| default

## ◆ Coeff() [3/4]

plask::optical::modal::ExpansionPW3D::Coeff::Coeff | ( | const dcomplex & | val | ) |
| inline

Definition at line 69 of file expansion3d.hpp.

## ◆ Coeff() [4/4]

plask::optical::modal::ExpansionPW3D::Coeff::Coeff | ( | const Tensor3< dcomplex > & | eps | ) |
| inline

Definition at line 73 of file expansion3d.hpp.

## Member Function Documentation

## ◆ differs()

bool plask::optical::modal::ExpansionPW3D::Coeff::differs | ( | const Coeff & | other | ) | const
| inline

Definition at line 89 of file expansion3d.hpp.

## ◆ operator Tensor3< dcomplex >()

plask::optical::modal::ExpansionPW3D::Coeff::operator Tensor3< dcomplex > | ( |  | ) | const
| inline

Definition at line 92 of file expansion3d.hpp.

## ◆ operator*=()

Coeff & plask::optical::modal::ExpansionPW3D::Coeff::operator*= | ( | dcomplex | a | ) |
| inline

Definition at line 78 of file expansion3d.hpp.

## ◆ operator=()

Coeff & plask::optical::modal::ExpansionPW3D::Coeff::operator= | ( | const Tensor3< dcomplex > & | eps | ) |
| inline

Definition at line 82 of file expansion3d.hpp.

## ◆ toInverseTensor()

Tensor3< dcomplex > plask::optical::modal::ExpansionPW3D::Coeff::toInverseTensor | ( |  | ) | const
| inline

Definition at line 94 of file expansion3d.hpp.

## Member Data Documentation

## ◆ c00

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::c00

Definition at line 66 of file expansion3d.hpp.

## ◆ c01

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::c01

Definition at line 66 of file expansion3d.hpp.

## ◆ c11

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::c11

Definition at line 66 of file expansion3d.hpp.

## ◆ c22

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::c22

Definition at line 66 of file expansion3d.hpp.

## ◆ ic00

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::ic00

Definition at line 66 of file expansion3d.hpp.

## ◆ ic11

dcomplex plask::optical::modal::ExpansionPW3D::Coeff::ic11

Definition at line 66 of file expansion3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/fourier/expansion3d.hpp